#pragma once
#include "Entity.h"
class CS_Enemy_MannanBlade :
    public Entity
{
public:
    CS_Enemy_MannanBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    float dx = 0;
    float dy = 0;
    int act_no = 0;
    int ani_wait = 0;
    int count1 = 0;
    int existTime = 100;
};

void SetCS_Enemy_MannanBlade(std::shared_ptr<Entity> parent);
